Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.config.status
Class StatusConfiguration

    java.lang.Object
      org.apache.logging.log4j.core.config.status.StatusConfiguration

    public class StatusConfiguration

extends Object

Configuration for setting up `StatusConsoleListener` instances.

Nested Class Summary
`static class` | `StatusConfiguration.Verbosity` Specifies how verbose the StatusLogger should be.

Constructor Summary
`StatusConfiguration()`

Method Summary
`void` | `error(String message)` Logs an error message to the StatusLogger.
`void` | `initialize()` Configures and initializes the StatusLogger using the configured options in this instance.
`StatusConfiguration` | `withDestination(String destination)` Specifies the destination for StatusLogger events.
`StatusConfiguration` | `withStatus(org.apache.logging.log4j.Level status)` Specifies the logging level to use for filtering StatusLogger messages.
`StatusConfiguration` | `withStatus(String status)` Specifies the logging level by name to use for filtering StatusLogger messages.
`StatusConfiguration` | `withVerboseClasses(String... verboseClasses)` Specifies which class names to filter if the configured verbosity level is QUIET.
`StatusConfiguration` | `withVerbosity(String verbosity)` Specifies the verbosity level to log at.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusConfiguration

    public StatusConfiguration()

Method Detail

### error

    public void error(String message)

  Logs an error message to the StatusLogger. If the StatusLogger hasn't been set up yet, queues the message to be logged after initialization.

  Parameters:
    `message` - error message to log.

### withDestination

    public StatusConfiguration withDestination(String destination)

  Specifies the destination for StatusLogger events. This can be `out` (default) for using `standard out`, `err` for using `standard error`, or a file URI to which log events will be written. If the provided URI is invalid, then the default destination of standard out will be used.

  Parameters:
    `destination` - where status log messages should be output.
  Returns:
    `this`

### withStatus

    public StatusConfiguration withStatus(String status)

  Specifies the logging level by name to use for filtering StatusLogger messages.

  Parameters:
    `status` - name of logger level to filter below.
  Returns:
    `this`
  See Also:
    `Level`

### withStatus

    public StatusConfiguration withStatus(org.apache.logging.log4j.Level status)

  Specifies the logging level to use for filtering StatusLogger messages.

  Parameters:
    `status` - logger level to filter below.
  Returns:
    `this`

### withVerbosity

    public StatusConfiguration withVerbosity(String verbosity)

  Specifies the verbosity level to log at. This only applies to classes configured by `verboseClasses`.

  Parameters:
    `verbosity` - basic filter for status logger messages.
  Returns:
    `this`

### withVerboseClasses

    public StatusConfiguration withVerboseClasses(String... verboseClasses)

  Specifies which class names to filter if the configured verbosity level is QUIET.

  Parameters:
    `verboseClasses` - names of classes to filter if not using VERBOSE.
  Returns:
    `this`

### initialize

    public void initialize()

  Configures and initializes the StatusLogger using the configured options in this instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.